<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ChatAssignmentAction extends \Google\Protobuf\Internal\Message
{
    


    protected $deviceAgentID = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getDeviceAgentID()
    {
        return isset($this->deviceAgentID) ? $this->deviceAgentID : '';
    }

    public function hasDeviceAgentID()
    {
        return isset($this->deviceAgentID);
    }

    public function clearDeviceAgentID()
    {
        unset($this->deviceAgentID);
    }

    




    public function setDeviceAgentID($var)
    {
        GPBUtil::checkString($var, True);
        $this->deviceAgentID = $var;

        return $this;
    }

}

